# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: henrik@henriknordstrom.net-20100820031034-\
#   0o3f9jw06pqkgmwa
# target_branch: http://www.squid-cache.org/bzr/squid3/trunk/
# testament_sha1: 7c770c668bbf0875624a280061c125890faeda6d
# timestamp: 2010-08-20 05:10:39 +0200
# base_revision_id: henrik@henriknordstrom.net-20100820023828-\
#   kguboyrr0hxkhj1g
# 
# Begin patch
=== modified file 'compat/GnuRegex.c'
--- compat/GnuRegex.c	2010-07-28 20:16:31 +0000
+++ compat/GnuRegex.c	2010-08-20 03:10:34 +0000
@@ -32,7 +32,6 @@
 #define _GNU_SOURCE 1
 #endif
 
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 
 #if USE_GNUREGEX /* only if squid needs it. Usually not */

=== modified file 'compat/Makefile.am'
--- compat/Makefile.am	2010-07-25 08:10:12 +0000
+++ compat/Makefile.am	2010-08-20 03:10:34 +0000
@@ -29,7 +29,6 @@
 	strtoll.h \
 	tempnam.h \
 	types.h \
-	unsafe.h \
 	valgrind.h \
 	\
 	os/aix.h \

=== modified file 'compat/compat.h'
--- compat/compat.h	2010-08-10 15:37:53 +0000
+++ compat/compat.h	2010-08-20 03:10:34 +0000
@@ -108,7 +108,4 @@
  */
 #include "compat/GnuRegex.h"
 
-/* some functions are unsafe to be used in Squid. */
-#include "compat/unsafe.h"
-
 #endif /* _SQUID_COMPAT_H */

=== modified file 'compat/os/dragonfly.h'
--- compat/os/dragonfly.h	2010-03-21 03:08:26 +0000
+++ compat/os/dragonfly.h	2010-08-20 03:10:34 +0000
@@ -20,11 +20,5 @@
 #undef HAVE_MALLOC_H
 #endif
 
-/* Exclude CPPUnit tests from the allocator restrictions. */
-/* BSD implementation uses these still */
-#if defined(SQUID_UNIT_TEST)
-#define SQUID_NO_ALLOC_PROTECT 1
-#endif
-
 #endif /* _SQUID_DRAGONFLY_ */
 #endif /* SQUID_OS_DRAGONFLY_H */

=== modified file 'compat/os/freebsd.h'
--- compat/os/freebsd.h	2010-07-25 08:10:12 +0000
+++ compat/os/freebsd.h	2010-08-20 03:10:34 +0000
@@ -27,12 +27,6 @@
 
 #define _etext etext
 
-/* Exclude CPPUnit tests from the allocator restrictions. */
-/* BSD implementation uses these still */
-#if defined(SQUID_UNIT_TEST)
-#define SQUID_NO_ALLOC_PROTECT 1
-#endif
-
 /*
  *   This OS has at least one version that defines these as private
  *   kernel macros commented as being 'non-standard'.

=== modified file 'compat/os/netbsd.h'
--- compat/os/netbsd.h	2010-07-25 08:10:12 +0000
+++ compat/os/netbsd.h	2010-08-20 03:10:34 +0000
@@ -13,12 +13,6 @@
  *--------------------------------------------------------------------------*
  ****************************************************************************/
 
-/* Exclude CPPUnit tests from the allocator restrictions. */
-/* BSD implementation uses these still */
-#if defined(SQUID_UNIT_TEST)
-#define SQUID_NO_ALLOC_PROTECT 1
-#endif
-
 /* NetBSD does not provide sys_errlist global for strerror */
 #define NEED_SYS_ERRLIST 1
 

=== modified file 'compat/os/openbsd.h'
--- compat/os/openbsd.h	2010-07-25 08:10:12 +0000
+++ compat/os/openbsd.h	2010-08-20 03:10:34 +0000
@@ -20,12 +20,6 @@
 #undef HAVE_MALLOC_H
 #endif
 
-/* Exclude CPPUnit tests from the allocator restrictions. */
-/* BSD implementation uses these still */
-#if defined(SQUID_UNIT_TEST)
-#define SQUID_NO_ALLOC_PROTECT 1
-#endif
-
 /*
  *   This OS has at least one version that defines these as private
  *   kernel macros commented as being 'non-standard'.

=== modified file 'compat/os/solaris.h'
--- compat/os/solaris.h	2010-08-11 00:12:56 +0000
+++ compat/os/solaris.h	2010-08-20 03:10:34 +0000
@@ -82,12 +82,6 @@
 #define __FUNCTION__ ""
 #endif
 
-/* Exclude CPPUnit tests from the allocator restrictions. */
-/* BSD implementation uses these still */
-#if defined(SQUID_UNIT_TEST)
-#define SQUID_NO_STRING_BUFFER_PROTECT 1
-#endif
-
 /* Bug 2500: Solaris 10/11 require s6_addr* defines. */
 //#define s6_addr8   _S6_un._S6_u8
 //#define s6_addr16  _S6_un._S6_u16

=== removed file 'compat/unsafe.h'
--- compat/unsafe.h	2010-03-21 03:08:26 +0000
+++ compat/unsafe.h	1970-01-01 00:00:00 +0000
@@ -1,33 +0,0 @@
-#ifndef SQUID_CONFIG_H
-#include "config.h"
-#endif
-
-#ifndef _SQUID_COMPAT_UNSAFE_H
-#define _SQUID_COMPAT_UNSAFE_H
-
-/*
- * Trap unintentional use of functions unsafe for use within squid.
- */
-
-#if !SQUID_NO_ALLOC_PROTECT
-#ifndef free
-#define free(x) ERROR_free_UNSAFE_IN_SQUID(x)
-#endif
-#ifndef malloc
-#define malloc ERROR_malloc_UNSAFE_IN_SQUID
-#endif
-#ifndef calloc
-#define calloc ERROR_calloc_UNSAFE_IN_SQUID
-#endif
-#endif /* !SQUID_NO_ALLOC_PROTECT */
-
-#if !SQUID_NO_STRING_BUFFER_PROTECT
-#ifndef sprintf
-#define sprintf ERROR_sprintf_UNSAFE_IN_SQUID
-#endif
-#ifndef strdup
-#define strdup ERROR_strdup_UNSAFE_IN_SQUID
-#endif
-#endif /* SQUID_NO_STRING_BUFFER_PROTECT */
-
-#endif /* _SQUID_COMPAT_UNSAFE_H */

=== modified file 'helpers/basic_auth/LDAP/basic_ldap_auth.cc'
--- helpers/basic_auth/LDAP/basic_ldap_auth.cc	2010-07-08 11:58:30 +0000
+++ helpers/basic_auth/LDAP/basic_ldap_auth.cc	2010-08-20 03:10:34 +0000
@@ -82,7 +82,6 @@
  *             - Allow full filter specifications in -f
  */
 
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 
 #define LDAP_DEPRECATED 1

=== modified file 'helpers/basic_auth/MSNT/smblib.c'
--- helpers/basic_auth/MSNT/smblib.c	2010-03-21 03:08:26 +0000
+++ helpers/basic_auth/MSNT/smblib.c	2010-08-20 03:10:34 +0000
@@ -22,8 +22,6 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-#define SQUID_NO_ALLOC_PROTECT 1
-
 #include "util.h"
 #include "smblib-priv.h"
 #include "smblib.h"

=== modified file 'helpers/basic_auth/MSNT/std-includes.h'
--- helpers/basic_auth/MSNT/std-includes.h	2010-03-21 03:08:26 +0000
+++ helpers/basic_auth/MSNT/std-includes.h	2010-08-20 03:10:34 +0000
@@ -24,7 +24,6 @@
  */
 
 /* the types are provided by squid's configure preocess */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 
 #define BOOL int16_t

=== modified file 'helpers/basic_auth/MSNT/usersfile.c'
--- helpers/basic_auth/MSNT/usersfile.c	2010-04-07 06:04:19 +0000
+++ helpers/basic_auth/MSNT/usersfile.c	2010-08-20 03:10:34 +0000
@@ -8,7 +8,6 @@
  * The code originated from denyusers.c.
  */
 
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 #include "util.h"
 

=== modified file 'helpers/basic_auth/PAM/basic_pam_auth.cc'
--- helpers/basic_auth/PAM/basic_pam_auth.cc	2010-06-28 10:56:49 +0000
+++ helpers/basic_auth/PAM/basic_pam_auth.cc	2010-08-20 03:10:34 +0000
@@ -65,7 +65,6 @@
  *
  * Compile this program with: gcc -o basic_pam_auth basic_pam_auth.cc -lpam -ldl
  */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 #include "helpers/defines.h"
 #include "rfc1738.h"

=== modified file 'helpers/basic_auth/SMB/basic_smb_auth.cc'
--- helpers/basic_auth/SMB/basic_smb_auth.cc	2010-07-08 11:58:30 +0000
+++ helpers/basic_auth/SMB/basic_smb_auth.cc	2010-08-20 03:10:34 +0000
@@ -40,7 +40,6 @@
  *  along with this program; if not, write to the Free Software
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 #include "helpers/defines.h"
 #include "rfc1738.h"

=== modified file 'helpers/digest_auth/LDAP/ldap_backend.cc'
--- helpers/digest_auth/LDAP/ldap_backend.cc	2010-07-21 06:18:25 +0000
+++ helpers/digest_auth/LDAP/ldap_backend.cc	2010-08-20 03:10:34 +0000
@@ -5,7 +5,6 @@
  * ldap_backend.c
  * AUTHOR: Flavio Pescuma, MARA Systems AB <flavio@marasystems.com>
  */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 #include "util.h"
 

=== modified file 'helpers/digest_auth/eDirectory/edir_ldapext.cc'
--- helpers/digest_auth/eDirectory/edir_ldapext.cc	2010-07-09 00:12:48 +0000
+++ helpers/digest_auth/eDirectory/edir_ldapext.cc	2010-08-20 03:10:34 +0000
@@ -22,7 +22,6 @@
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  *
 */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 
 #include "digest_common.h"

=== modified file 'helpers/digest_auth/eDirectory/ldap_backend.cc'
--- helpers/digest_auth/eDirectory/ldap_backend.cc	2010-07-08 11:01:47 +0000
+++ helpers/digest_auth/eDirectory/ldap_backend.cc	2010-08-20 03:10:34 +0000
@@ -5,7 +5,6 @@
  * ldap_backend.c
  * AUTHOR: Flavio Pescuma, MARA Systems AB <flavio@marasystems.com>
  */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 
 #define LDAP_DEPRECATED 1

=== modified file 'helpers/digest_auth/file/text_backend.cc'
--- helpers/digest_auth/file/text_backend.cc	2010-04-30 12:08:54 +0000
+++ helpers/digest_auth/file/text_backend.cc	2010-08-20 03:10:34 +0000
@@ -28,7 +28,6 @@
  *
  * Copyright (c) 2003  Robert Collins  <robertc@squid-cache.org>
  */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 
 #include "text_backend.h"

=== modified file 'helpers/external_acl/LDAP_group/ext_ldap_group_acl.cc'
--- helpers/external_acl/LDAP_group/ext_ldap_group_acl.cc	2010-07-12 14:45:17 +0000
+++ helpers/external_acl/LDAP_group/ext_ldap_group_acl.cc	2010-08-20 03:10:34 +0000
@@ -34,7 +34,6 @@
  * as published by the Free Software Foundation; either version 2,
  * or (at your option) any later version.
  */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 #include "helpers/defines.h"
 #include "rfc1738.h"

=== modified file 'helpers/external_acl/file_userip/ext_file_userip_acl.cc'
--- helpers/external_acl/file_userip/ext_file_userip_acl.cc	2010-07-13 00:12:55 +0000
+++ helpers/external_acl/file_userip/ext_file_userip_acl.cc	2010-08-20 03:10:34 +0000
@@ -18,7 +18,6 @@
 * Author: Rodrigo Campos (rodrigo@geekbunker.org)
 *
 */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 #include "helpers/defines.h"
 #include "rfc1738.h"

=== modified file 'helpers/ntlm_auth/smb_lm/ntlm_smb_lm_auth.cc'
--- helpers/ntlm_auth/smb_lm/ntlm_smb_lm_auth.cc	2010-07-06 12:44:06 +0000
+++ helpers/ntlm_auth/smb_lm/ntlm_smb_lm_auth.cc	2010-08-20 03:10:34 +0000
@@ -13,7 +13,6 @@
  * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, USA.
  *
  */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 #include "libntlmauth/ntlmauth.h"
 #include "libntlmauth/smb.h"

=== modified file 'lib/Profiler.c'
--- lib/Profiler.c	2010-04-28 14:53:19 +0000
+++ lib/Profiler.c	2010-08-20 03:10:34 +0000
@@ -113,7 +113,6 @@
  *
  */
 
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 
 /* This include needs to be BELOW config, as it may undef USE_XPROF_STATS */

=== modified file 'lib/util.c'
--- lib/util.c	2010-03-21 03:08:26 +0000
+++ lib/util.c	2010-08-20 03:10:34 +0000
@@ -34,9 +34,6 @@
 
 #define _etext etext
 
-/* NP: this file is where the memory allocators are defined. */
-#define SQUID_NO_ALLOC_PROTECT 1
-
 #include "config.h"
 #include "profiling.h"
 

=== modified file 'libntlmauth/rfcnb-session.c'
--- libntlmauth/rfcnb-session.c	2010-06-30 12:32:50 +0000
+++ libntlmauth/rfcnb-session.c	2010-08-20 03:10:34 +0000
@@ -22,7 +22,6 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 #include "libntlmauth/rfcnb-priv.h"
 

=== modified file 'libntlmauth/rfcnb-util.c'
--- libntlmauth/rfcnb-util.c	2010-06-30 12:32:50 +0000
+++ libntlmauth/rfcnb-util.c	2010-08-20 03:10:34 +0000
@@ -22,7 +22,6 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 #include "libntlmauth/rfcnb-priv.h"
 

=== modified file 'libntlmauth/smblib-util.c'
--- libntlmauth/smblib-util.c	2010-06-30 12:32:50 +0000
+++ libntlmauth/smblib-util.c	2010-08-20 03:10:34 +0000
@@ -22,7 +22,6 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 #include "libntlmauth/rfcnb.h"
 #include "libntlmauth/smblib-priv.h"

=== modified file 'libntlmauth/smblib.c'
--- libntlmauth/smblib.c	2010-06-30 12:32:50 +0000
+++ libntlmauth/smblib.c	2010-08-20 03:10:34 +0000
@@ -23,7 +23,6 @@
  * along with this program; if not, write to the Free Software
  * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
-#define SQUID_NO_ALLOC_PROTECT 1
 #include "config.h"
 
 #include "libntlmauth/rfcnb.h"

=== modified file 'snmplib/mib.c'
--- snmplib/mib.c	2010-03-31 15:59:21 +0000
+++ snmplib/mib.c	2010-08-20 03:10:34 +0000
@@ -21,7 +21,6 @@
 SOFTWARE.
 ******************************************************************/
 
-#define SQUID_NO_STRING_BUFFER_PROTECT 1
 #include "config.h"
 
 #include <stdio.h>

=== modified file 'src/esi/Libxml2Parser.h'
--- src/esi/Libxml2Parser.h	2009-10-01 07:59:00 +0000
+++ src/esi/Libxml2Parser.h	2010-08-20 03:10:34 +0000
@@ -45,12 +45,6 @@
 #if USE_SQUID_ESI && HAVE_LIBXML2
 
 #include "esi/Parser.h"
-// workaround for definition of "free" that prevents include of
-// parser.h from libxml2 without errors
-#ifdef free
-#define OLD_FREE free
-#undef free
-#endif
 #if HAVE_LIBXML_PARSER_H
 #include <libxml/parser.h>
 #endif
@@ -61,10 +55,6 @@
 #include <libxml/HTMLtree.h>
 #endif
 
-#ifdef OLD_FREE
-#define free OLD_FREE
-#endif
-
 class ESILibxml2Parser : public ESIParser
 {
 

=== modified file 'src/ufsdump.cc'
--- src/ufsdump.cc	2010-05-26 03:06:02 +0000
+++ src/ufsdump.cc	2010-08-20 03:10:34 +0000
@@ -37,8 +37,6 @@
 #include "StoreMetaUnpacker.h"
 #include "Store.h"
 #include "Generic.h"
-#undef malloc
-#undef free
 
 #if HAVE_STDEXCEPT
 #include <stdexcept>

# Begin bundle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